//
// maze.ini, decode compiled maze
//

le unsigned hex

def SCN
	{
	n16 dec        "scn_visited"
	n16 dec        "scn_palette"
	5 n16 dec open "scn_n_bastards"
	}

map T_
	{
	"T_VISIBLE"	0x0001 : .
	"T_MINUS"	0x0002 : .
	"T_BAR"		0x0004 : .
	"T_BORDER"	0x0008 : .
	"T_DIAMOND"	0x0010 : .
	"T_X"		0x0020 : .
	"T_POLE"	0x0040 : .
	"T_SOLID"	0x0080 : .
	"T_HANGS"	0x0100 : .
	"T_SET"		0x0200 : .
	"T_SETABLE"	0x0400 : .
	"T_ARROW_LEFT"	0x1000 : .
	"T_ARROW_RIGHT"	0x2000 : .
	"T_ARROW_UP"	0x4000 : .
	"T_ARROW_DOWN"	0x8000 : .
	}

def SQR
	{
	n16 map T_ "sqr_type"
	n16 dec    "sqr_y"
	n8         "sqr_num"
	at 6
	}

def main
	{
	12*5 * 12*5 SQR "sqrs"
	12   * 12   SCN "scns"
	}
